mscorlib 2.0.0.0 4.0.0.0 System.Enum

The calling conventions in this class describe how functions pass arguments and return values. They specify the order in which parameters are set up for the called functions, where the parameters are stored (in registers or in memory), and who (caller or called function) is responsible for cleaning up the stack after the function returns. For example:

uses the naming and calling conventions of the C language. The caller pushes the parameters onto the stack in reverse (right-to-left) order, and cleans the stack after the function returns. This calling convention enables you to call functions with varargs, which makes it appropriate for use with methods that accept a variable number of parameters, such as the C run-time functions printf, _printf_l, wprintf, _wprintf_l.

uses the Pascal calling convention. The caller pushes the parameters onto the stack in left-to-right order. The called function cleans the stack before returning.

is the standard calling convention for Win32 functions. It is the default convention for calling unmanaged functions with platform invoke. The caller pushes the parameters onto the stack in reverse (right to left) order, and the called function cleans the stack before returning.

is similar to CDECL in that arguments are pushed from right to left. The EAX, ECX, and EDX registers are not preserved.

These calling convention identifiers are used by the dnprdnshort, the wince platform, and by Automation.

For additional information about , see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Identifies the calling convention used by a method described in a METHODDATA structure.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.CALLCONV

  Indicates that the C declaration (CDECL) calling convention is used for a method.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.CALLCONV

  Indicates that the Macintosh Pascal (MACPASCAL) calling convention is used for a method.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.CALLCONV

  Indicates the end of the enumeration.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.CALLCONV

  Indicates that the Macintosh Programmers' Workbench (MPW) CDECL calling convention is used for a method.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.CALLCONV

  Indicates that the Macintosh Programmers' Workbench (MPW) PASCAL calling convention is used for a method.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.CALLCONV

  Indicates that the MSC Pascal (MSCPASCAL) calling convention is used for a method.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.CALLCONV

  Indicates that the Pascal calling convention is used for a method.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.CALLCONV

  This value is reserved for future use.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.CALLCONV

  Indicates that the standard calling convention (STDCALL) is used for a method.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.CALLCONV

  Indicates that the standard SYSCALL calling convention is used for a method.